Lumaktaw sa nilalaman

ElevenLabs Voice Changer

I-integrate

ID ng modelo elevenlabs/voice-changer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/voice-changer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Mga file na katulad ng halimbawa: $0.30 300 kredito ng API sinusukat ang iyong mga file bago patakbuhin Patakbuhin ito sa page na ito

Kumuha ng API key
ElevenLabs audio #voice-change#audio-to-audio

Pinapalitan ang boses sa umiiral na recording ng napiling boses, na may opsyonal na pag-aalis ng background noise

ElevenLabs · audio

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan audio_url
Mag-drop ng file, o

Audio file na ibinigay bilang input.

advanced voice · output_format · seed · remove_background_noise
default na Rachel

Voice na pinili para sa speech synthesis.

default na mp3_44100_128

Format ng nabuong audio, tinukoy gamit ang pattern na codec_sample_rate_bitrate.

Seed na kumokontrol sa randomness para sa nauulit na resulta.

POST /run/elevenlabs/voice-changer?wait=20 presyo → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/voice-changer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa ElevenLabs Voice Changer

Muling binibigkas ang audio recording gamit ang ibang boses. Magbigay ng `audio_url` at pumili ng target gamit ang `voice` (default na Rachel). Nililinis muna ng `remove_background_noise` ang input, tumutulong ang `seed` sa reproducibility, at pinipili ng `output_format` ang codec, sample rate at bitrate. Nagbabalik ng converted audio at seed.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
audio_urlkinakailangan audio
Uriurl · audio
Audio file na ibinigay bilang input.
voiceopsyonal
Uristring
defaultRachel
Voice na pinili para sa speech synthesis.
remove_background_noiseopsyonal
Uriboolean
defaultfalse
Pinapagana ang pag-aalis ng ingay sa background mula sa ibinigay na audio sa pamamagitan ng audio isolation modelo.
seedopsyonal
Uriinteger
Seed na kumokontrol sa randomness para sa nauulit na resulta.
output_formatopsyonal
Urienum
defaultmp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
+3 paopus_48000_96opus_48000_128opus_48000_192
Format ng nabuong audio, tinukoy gamit ang pattern na codec_sample_rate_bitrate.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/voice-changer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
audio
object {url, content_type, file_name, file_size}Audio file na ginawa sa pagbuo.
seed
integerSeed na kumokontrol sa randomness para sa nauulit na resulta.

Higit pang modelo: audio

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/elevenlabs/voice-changer.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt